#
# spec file for package perl-Probe-Perl
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Probe-Perl
Version:        0.03
Release:        bp156.3.1
%define cpan_name Probe-Perl
Summary:        Information about the currently running perl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Probe-Perl/
Source:         http://www.cpan.org/authors/id/K/KW/KWILLIAMS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
#BuildRequires: perl(Probe::Perl)
%{perl_requires}

%description
This module provides methods for obtaining information about the currently
running perl interpreter. It originally began life as code in the
'Module::Build' project, but has been externalized here for general use.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.03
  - Improved the backticks/quoting situation on Windows, which
  unfortunately didn't fare well with the fixes in 0.02.
* Mon Jun 10 2013 coolo@suse.com
- updated to 0.02
  - Switched to Git and Dist::Zilla
  - Fixed an issue with perls installed in directories containing
    spaces or other special shell characters. [Spotted by Samuel
    Ferencik - RT #84643]
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Mar  4 2010 chris@computersalat.de
- cleanup spec
- fixed deps
* Mon Jan 25 2010 anicka@suse.cz
- cleaned Requires
